Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Gregory Heytings <[email-masked]>
Date: Fri, 16 Sep 2022 17:26:45 +0000

>
> 1. This hook seems to be called far too often; but I do not see a 
> `create-buffer-hook' - any reason for that? (there is a 
> `kill-buffer-hook')
>

It's not clear when such a hook would have to run I think.

>
> 2. It appears that I can use (current-buffer) instead of (car 
> (buffer-list))
>

Yes, that's another possibility indeed.

>> But as Michael said you should probably not use nil.
>
> I am not sure what you mean, could you please clarify?
>

The docstring says "it should be an absolute directory name", and nil is 
not an absolute directory name 😉

>
> ... mostly because I was still hoping for a fix in Emacs ;-(
>

It's not clear to me what the "fix" would be here, can you explain what 
you have in mind?